import { MediaControls } from '@source-digital/embed-core';

export declare class PlyrMediaControls implements MediaControls {
    private readonly _plyr;
    constructor(_plyr: () => Plyr);
    get plyr(): import("plyr");
    on(ev: Parameters<MediaControls['on']>[0], handler: (data?: any) => void): MediaControls;
    off(ev: Parameters<MediaControls['off']>[0], handler: (data?: any) => void): MediaControls;
    play(): void;
    pause(): void;
    get paused(): boolean;
    get currentTime(): number;
    get duration(): number;
    get muted(): boolean;
    get currentSrc(): string | undefined;
    setCurrentTime(seconds: number): void;
    mute(muted: boolean): void;
    setVolume(value: number): void;
    get volume(): number;
    getVolume(): number;
}
