import { PropType } from 'vue';
import { Settings } from '@source-digital/sd-types';
import { default as Plyr } from 'plyr';

declare function getPlyr(): Plyr | null | undefined;
declare function getPlyrElement(): HTMLElement | undefined;
declare const _default: import('vue').DefineComponent<{
    mediaUri: {
        type: StringConstructor;
        required: false;
        default: undefined;
    };
    settings: {
        type: PropType<Settings | undefined>;
        required: false;
        default: undefined;
    };
    poster: {
        type: StringConstructor;
        required: false;
        default: undefined;
    };
}, {
    getPlyr: typeof getPlyr;
    getPlyrElement: typeof getPlyrElement;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "plyr-created": (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    mediaUri: {
        type: StringConstructor;
        required: false;
        default: undefined;
    };
    settings: {
        type: PropType<Settings | undefined>;
        required: false;
        default: undefined;
    };
    poster: {
        type: StringConstructor;
        required: false;
        default: undefined;
    };
}>> & {
    "onPlyr-created"?: ((...args: any[]) => any) | undefined;
}, {
    mediaUri: string;
    settings: Settings | undefined;
    poster: string;
}, {}>;
export default _default;
